package com.liang.service;

import com.liang.entity.BaseRequestcode;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

import java.util.List;

/**
 * (BaseRequestcode)表服务接口
 *
 * @author makejava
 * @since 2023-03-03 22:31:21
 */
public interface BaseRequestcodeService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    BaseRequestcode queryById(Object id);

    /**
     * 分页查询
     *
     * @param baseRequestcode 筛选条件
     * @param pageRequest     分页对象
     * @return 查询结果
     */
    Page<BaseRequestcode> queryByPage(BaseRequestcode baseRequestcode, PageRequest pageRequest);

    /**
     * 新增数据
     *
     * @param baseRequestcode 实例对象
     * @return 实例对象
     */
    BaseRequestcode insert(BaseRequestcode baseRequestcode);

    /**
     * 修改数据
     *
     * @param baseRequestcode 实例对象
     * @return 实例对象
     */
    BaseRequestcode update(BaseRequestcode baseRequestcode);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Object id);

    /**
     * 获取所有数据
     *
     * @return
     */
    List<BaseRequestcode> queryAll();
}
